using Hotline.Share.Dtos;
using Mapster;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Tools;
public static class TupleExtensions
{
    public static PagedDto<T> ToPaged<T>(this (int, IList<T>) tuple)
    {
        return new PagedDto<T>(tuple.Item1, tuple.Item2.ToList());
    }
}
